View Issue Details

IDProjectCategoryView StatusLast Update
0017405MediaMonkey 5Main Panelpublic2021-02-10 02:39
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017405: Preview window sizing is incorrect (regression)
DescriptionIn build 2296, the minimum size of the Preview window was supposed to be set to 200x200. However, I'm seeing the following (using Material Design (dark) skin):

1)a) When playing music tracks, the minimum width is 250 (instead of 200) and height is 233! Because the aspect ratio isn't square, all album art is letterboxed.
b) when adjusting the width/height, MM locks to different sizes -- unclear why (see video)!
c) There are graphical artifacts when adjusting the vertical height (at around 250x250)
2) When playing videos, the minimum size is usually 250 x 250, but sometimes it's 320x250! Unclear why.

See: https://www.screencast.com/t/fp41MyfL
TagsNo tags attached.
Fixed in build2298

Relationships

related to 0017519 newpetr It should be possible to make the panel that doesn't contain the preview window narrower 

Activities

michal

2021-01-20 19:29

developer   ~0061475

Fixed in build 2297. Min size set to 220px (as discussed over IM).

rusty

2021-01-20 23:47

administrator   ~0061481

Tested 2297. In this build, the minimum size of the Preview window is 200x220. This results in:
- all album art (with is normally in a 1:1 ratio) appears with bars above and below.
- video playback cuts off the right margin of the skin
See: https://www.screencast.com/t/5eumMWfRxIu

I think that setting the Preview window width to 220 should solve both of the above as it would be 1:1, and provide video's with the extra 4 pixels needed on either side (i.e. minimum video width would be 212 ) so that the skin wouldn't be overwritten.

rusty

2021-01-21 19:00

administrator   ~0061508

It seems that this is a skinning/settings persistence problem that can be replicated by installing 2295, setting the Preview window to 200 width, and then installing build 2297 that has the fix. The problem can be solved by restarting MM (i.e. it only occurs the first time MM has started).

HOWEVER, in testing the above, it seems that the minimum size settings still aren't working if the user switches Preview window layouts. e.g.
1 Set Preview to the minimum (220x220) with Layout set to Advanced.
--> works as expected
2 Change layout to 'Basic'
3 Attempt to resize layout
--> Minimum layout is now 200x220
4 Restart MM
5 MM starts with Preview at 200x220
6 Attempt to resize Preview
--> Minimum is somehow changed to 220x220

I suspect that this issue may be related to the width persistence problem (perhaps the 'basic' view had earlier been associated with a 200x200 setting?).

michal

2021-01-22 12:40

developer   ~0061516

Last edited: 2021-01-22 12:40

View 2 revisions

Fixed in build 2298. Now restoring old persistent should not allow display smaller artwindow than 220x220px.

rusty

2021-01-22 19:57

administrator   ~0061523

Verified 2298.